## ros-ros-comm-msgs 1.11.1

=== rosgraph_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosgraph_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(DIRECTORY msg
  FILES
  Clock.msg
  Log.msg
  TopicStatistics.msg)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== std_srvs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(std_srvs)

find_package(catkin REQUIRED COMPONENTS message_generation)

add_service_files(DIRECTORY srv
  FILES
  Empty.srv
  Trigger.srv)

generate_messages()

catkin_package(CATKIN_DEPENDS message_runtime)

=== debian/changelog ===
ros-ros-comm-msgs (1.11.1-3) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 11 Jan 2016 15:22:13 +0100

ros-ros-comm-msgs (1.11.1-2) unstable; urgency=medium

  * Convert to new catkin with multiarch
  * Adopt to {ros-}message-{generation,runtime}

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 18:55:50 +0100

ros-ros-comm-msgs (1.11.1-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Initial release (Closes: #804922)
  * Add patch for toplevel CMakeLists.txt
  * Add dh_install files
  * Install actual header files
  * Update packing copyright
  * Update build dependencies
  * Add packing Python and LISP packaging
  * Update dependencies
  * Update rules
  * Add watch file
  * Fix copyright year

  [ Leopold Palomo-Avellaneda ]
  * Updated copyright
  * Updated Uploaders and Maintainer field
  * Increase Standards-Version to 3.9.6
  * Updated VCS fields
  * Updated Description fields to avoid lintian warnings
  * Updated Python dependencies

  [ Jochen Sprickerhof ]
  * Imported Upstream version 1.11.1

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 19 Nov 2015 19:06:25 +0000

=== debian/control ===
Source: ros-ros-comm-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev, python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/ros/ros_comm_msgs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-ros-comm-msgs.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-ros-comm-msgs.git

Package: libros-rosgraph-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to the Robot OS Computation Graph
 This package is part of Robot OS (ROS). rosgraph_msgs contains
 messages relating to the ROS Computation Graph. Most users are not
 expected to interact with the messages in this package, and it is
 strongly advised against. These messages are generally wrapped in
 higher level APIs.

Package: python-rosgraph-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to the Robot OS Computation Graph, Python bindings
 This package is part of Robot OS (ROS). It contains the python
 interface to messages relating to the ROS Computation Graph. Most
 users are not expected to interact with messages in this package, and
 it is strongly advised against. These messages are generally wrapped
 in higher level APIs.

Package: cl-rosgraph-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to the Robot OS Computation Graph, LISP bindings
 This package is part of Robot OS (ROS). It contains the LISP
 interface to messages relating to the ROS Computation Graph. Most
 users are not expected to interact with messages in this package, and
 it is strongly advised against. These messages are generally wrapped
 in higher level APIs.

Package: libstd-srvs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS Common service definitions
 This package is part of Robot OS (ROS). And contains common service
 definitions, currently just the 'Empty' service, which is a common
 service pattern for sending a signal to a ROS node. No actual data is
 exchanged between the service and the client.

Package: python-std-srvs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS Common service definitions, Python bindings
 This package is part of Robot OS (ROS). It contains the python
 interface to common service definitions, currently just the 'Empty'
 service, which is a common service pattern for sending a signal to a
 ROS node. No actual data is exchanged between the service and the
 client.

Package: cl-std-srvs
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Common service definitions, LISP bindings
 This package is part of Robot OS (ROS). It contains the LISP
 interface currently just the 'Empty' service, which is a common
 service pattern for sending a signal to a ROS node. No actual data is
 exchanged between the service and the client.

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ros_comm_msgs-$1\.tar\.gz/ \
  https://github.com/ros/ros_comm_msgs/releases .*/v?(\d\S*)\.tar\.gz

## ros-ros-comm-msgs 1.11.2

=== std_srvs/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 add_service_files(DIRECTORY srv
   FILES
   Empty.srv
+  SetBool.srv
   Trigger.srv)
 
 generate_messages()

=== debian/changelog ===
ros-ros-comm-msgs (1.11.2-9) unstable; urgency=medium

  * Add MA hints
  * Add Python 3 packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Jun 2018 20:16:32 +0200

ros-ros-comm-msgs (1.11.2-8) unstable; urgency=medium

  * Make libros-rosgraph-msgs-dev arch:any due to arch:any dependency
  * Bump policy and debhelper versions
  * Add MA hints
  * Update libstd-srvs-dev

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 19:28:12 +0200

ros-ros-comm-msgs (1.11.2-7) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Rebuild against new gencpp

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Apr 2018 23:04:39 +0200

ros-ros-comm-msgs (1.11.2-6) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update watch file
  * Update debhelper and policy versions
  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Jul 2017 06:38:44 +0200

ros-ros-comm-msgs (1.11.2-5) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:03:03 +0100

ros-ros-comm-msgs (1.11.2-4) unstable; urgency=medium

  [ Daniele E. Domenichelli ]
  * Add missing build dependency (Closes: #835576)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2016 23:36:48 +0200

ros-ros-comm-msgs (1.11.2-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update URLs
  * Update my email address
  * Fix lintian warnings

  [ Daniele E. Domenichelli ]
  * Move message definitions in separate packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 13:01:52 +0200

ros-ros-comm-msgs (1.11.2-2) unstable; urgency=medium

  * Rebuild for changes in ros-genlisp.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 08:09:54 +0200

ros-ros-comm-msgs (1.11.2-1) unstable; urgency=medium

  * Imported Upstream version 1.11.2
  * Adopt package description

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 09:39:49 +0200

=== debian/control ===
Source: ros-ros-comm-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev, python-all, python-setuptools, dh-python, ros-std-msgs, python3-all
Standards-Version: 4.1.4
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/common_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm-msgs.git

Package: ros-rosgraph-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to the Robot OS Computation Graph, definitions
 This package is part of Robot OS (ROS). It contains the definitions of
 the messages relating to the ROS Computation Graph. Most users are not
 expected to interact with the messages in this package, and it is
 strongly advised against. These messages are generally wrapped in
 higher level APIs.

Package: libros-rosgraph-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to the Robot OS Computation Graph
 This package is part of Robot OS (ROS). rosgraph_msgs contains
 messages relating to the ROS Computation Graph. Most users are not
 expected to interact with the messages in this package, and it is
 strongly advised against. These messages are generally wrapped in
 higher level APIs.

Package: python-rosgraph-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to the Robot OS Computation Graph, Python 2 bindings
 This package is part of Robot OS (ROS). It contains the Python
 interface to messages relating to the ROS Computation Graph. Most
 users are not expected to interact with messages in this package, and
 it is strongly advised against. These messages are generally wrapped
 in higher level APIs.
 .
 This package contains the generated Python 2 package.

Package: python3-rosgraph-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to the Robot OS Computation Graph, Python 3 bindings
 This package is part of Robot OS (ROS). It contains the Python
 interface to messages relating to the ROS Computation Graph. Most
 users are not expected to interact with messages in this package, and
 it is strongly advised against. These messages are generally wrapped
 in higher level APIs.
 .
 This package contains the generated Python 3 package.

Package: cl-rosgraph-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to the Robot OS Computation Graph, LISP bindings
 This package is part of Robot OS (ROS). It contains the LISP
 interface to messages relating to the ROS Computation Graph. Most
 users are not expected to interact with messages in this package, and
 it is strongly advised against. These messages are generally wrapped
 in higher level APIs.

Package: ros-std-srvs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS Common service definitions, definitions
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains the message definitions of the common service
 definitions messages.

Package: libstd-srvs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libroscpp-core-dev
Description: Robot OS Common service definitions
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains C++ development files for common service definitions.

Package: python-std-srvs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS Common service definitions, Python 2 bindings
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains the Python 2 interface to common service definitions.

Package: python3-std-srvs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS Common service definitions, Python 3 bindings
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains the Python 3 interface to common service definitions.

Package: cl-std-srvs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common service definitions, LISP bindings
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains the LISP interface to common service definitions.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-comm-msgs-$1.tar.gz%" \
    https://github.com/ros/ros_comm_msgs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-ros-comm-msgs 1.11.3

=== debian/changelog ===
ros-ros-comm-msgs (1.11.3-4) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Sep 2024 23:50:28 +0200

ros-ros-comm-msgs (1.11.3-3) unstable; urgency=medium

  * Drop unused python3-all dependency for cross builds
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:40:04 +0200

ros-ros-comm-msgs (1.11.3-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:13:42 +0100

ros-ros-comm-msgs (1.11.3-1) unstable; urgency=medium

  * New upstream version 1.11.3
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 20:35:31 +0200

ros-ros-comm-msgs (1.11.2-10) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938394)
  * simplify d/watch
  * simplify d/rules
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:03:40 +0200

=== debian/control ===
Source: ros-ros-comm-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libroscpp-core-dev,
 libstd-msgs-dev,
 python3-setuptools,
 ros-message-generation,
 ros-std-msgs,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/common_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm-msgs.git

Package: ros-rosgraph-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ros-std-msgs,
 ${misc:Depends},
Description: Messages relating to the Robot OS Computation Graph, definitions
 This package is part of Robot OS (ROS). It contains the definitions of
 the messages relating to the ROS Computation Graph. Most users are not
 expected to interact with the messages in this package, and it is
 strongly advised against. These messages are generally wrapped in
 higher level APIs.

Package: cl-rosgraph-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-std-msgs,
 ${misc:Depends},
Description: Messages relating to the Robot OS Computation Graph, LISP bindings
 This package is part of Robot OS (ROS). It contains the LISP
 interface to messages relating to the ROS Computation Graph. Most
 users are not expected to interact with messages in this package, and
 it is strongly advised against. These messages are generally wrapped
 in higher level APIs.

Package: cl-std-srvs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Common service definitions, LISP bindings
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains the LISP interface to common service definitions.

Package: libros-rosgraph-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libstd-msgs-dev,
 ${misc:Depends},
Description: Messages relating to the Robot OS Computation Graph
 This package is part of Robot OS (ROS). rosgraph_msgs contains
 messages relating to the ROS Computation Graph. Most users are not
 expected to interact with the messages in this package, and it is
 strongly advised against. These messages are generally wrapped in
 higher level APIs.

Package: libstd-srvs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libroscpp-core-dev,
 ${misc:Depends},
Description: Robot OS Common service definitions
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains C++ development files for common service definitions.

Package: python3-rosgraph-msgs
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Messages relating to the Robot OS Computation Graph, Python 3 bindings
 This package is part of Robot OS (ROS). It contains the Python
 interface to messages relating to the ROS Computation Graph. Most
 users are not expected to interact with messages in this package, and
 it is strongly advised against. These messages are generally wrapped
 in higher level APIs.
 .
 This package contains the generated Python 3 package.

Package: python3-std-srvs
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS Common service definitions, Python 3 bindings
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains the Python 3 interface to common service definitions.

Package: ros-std-srvs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS Common service definitions, definitions
 This package is part of Robot OS (ROS). It contains common service
 definitions.
 .
 This package contains the message definitions of the common service
 definitions messages.

## ros-ros-comm-msgs 1.11.4

=== rosgraph_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rosgraph_msgs)
 
 find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

=== std_srvs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(std_srvs)
 
 find_package(catkin REQUIRED COMPONENTS message_generation)

=== debian/changelog ===
ros-ros-comm-msgs (1.11.4-1) unstable; urgency=medium

  * New upstream version 1.11.4
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 17:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin,
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ catkin,
  libroscpp-core-dev,
  libstd-msgs-dev,
  python3-setuptools,
  ros-message-generation,
  ros-std-msgs,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/common_msgs

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-comm-msgs-$1.tar.gz%" \
    https://github.com/ros/ros_comm_msgs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
